<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.storlead.mail.mapper.ClientSentEmailsMapper">

        <!-- 通用查询映射结果 -->
        <resultMap id="BaseResultMap" type="com.storlead.mail.pojo.entity.ClientSentEmailsEntity">
                    <id column="id" property="id" />
                <result column="owner_by" property="ownerBy" />
                <result column="create_time" property="createTime" />
                <result column="update_time" property="updateTime" />
                <result column="sort" property="sort" />
                <result column="is_delete" property="isDelete" />
                <result column="enabled" property="enabled" />
                <result column="create_by" property="createBy" />
                <result column="update_by" property="updateBy" />
                    <result column="smtp_pop_id" property="smtpPopId" />
                    <result column="msg_uid" property="msgUid" />
                    <result column="message_id" property="messageId" />
                    <result column="subject" property="subject" />
                    <result column="from" property="from" />
                    <result column="from_name" property="fromName" />
                    <result column="recipient" property="recipient" />
                    <result column="recipient_name" property="recipientName" />
                    <result column="recipient_cc" property="recipientCc" />
                    <result column="recipient_cc_name" property="recipientCcName" />
                    <result column="recipient_bcc" property="recipientBcc" />
                    <result column="recipient_bcc_name" property="recipientBccName" />
                    <result column="folder" property="folder" />
                    <result column="custom_folder_id" property="customFolderId" />
                    <result column="content" property="content" />
                    <result column="sent_date" property="sentDate" />
                    <result column="recipient_date" property="recipientDate" />
                    <result column="email_size" property="emailSize" />
                    <result column="remark" property="remark" />
                    <result column="in_out_mark" property="inOutMark" />
                    <result column="is_read" property="isRead" />
                    <result column="is_receipt" property="isReceipt" />
                    <result column="is_track" property="isTrack" />
                    <result column="read_remind" property="readRemind" />
                    <result column="delay_send_time" property="delaySendTime" />
                    <result column="recipient_read" property="recipientRead" />
                    <result column="is_only_head" property="isOnlyHead" />
                    <result column="reply_msg_id" property="replyMsgId" />
                    <result column="status" property="status" />
                    <result column="is_star" property="isStar" />
                    <result column="is_trash" property="isTrash" />
                    <result column="customer_ids" property="customerIds" />
                    <result column="liaison_ids" property="liaisonIds" />
                    <result column="follow_up_id" property="followUpId" />
                    <result column="follow_up_time" property="followUpTime" />
        </resultMap>

        <!-- 通用查询结果列 -->
        <sql id="Base_Column_List">
                owner_by,
                create_time,
                update_time,
                sort,
                is_delete,
                enabled,
                create_by,
                update_by,
            id, smtp_pop_id, msg_uid, message_id, subject,`from`, from_name, recipient, recipient_name, recipient_cc, recipient_cc_name, recipient_bcc, recipient_bcc_name, folder, custom_folder_id, content, sent_date, recipient_date, email_size, remark, in_out_mark, is_read, is_receipt, is_track, read_remind, delay_send_time, recipient_read, is_only_head, reply_msg_id, status, is_star, is_trash, customer_ids, liaison_ids, follow_up_id, follow_up_time
        </sql>

</mapper>
